using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.PowerShell.CmdletManagement
{
    public enum PsSpecProjectRole
    {
        ProjectOwner,
        SpecWriter,
        HelpWriter,
        Unspecified
    }

    /// <summary>
    /// A class that represents an Aspen project
    /// </summary>
    public class PsSpecProject
    {
        public PsSpecProject() { }

        public PsSpecProject(int id, string name, string description, string owner)
        {
            this.id = id;
            this.name = name;
            this.description = description;
            this.owner = owner;
        }

        public int Id
        {
            get { return id; }
            set { id = value; }
        }
        private int id;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        private string name;

        public string Description
        {
            get { return description; }
            set { description = value; }
        }
        private string description;

        public string Owner
        {
            get { return owner; }
            set { owner = value; }
        }
        private string owner;
    }
}
