﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Login.aspx.cs" Inherits="Login"
    MasterPageFile="~/default.master" %>

<asp:Content ContentPlaceHolderID="contentMain" runat="server">
    <asp:LoginView ID="LoginView1" runat="server">
        <LoggedInTemplate>
            Login:&nbsp;<asp:LoginName ID="LoginName1" runat="server" />
            <hr />
            <asp:ChangePassword ID="ChangePassword1" runat="server" BackColor="#F7F7DE" BorderColor="#CCCC99"
                BorderStyle="Solid" BorderWidth="1px" Font-Names="Verdana" Font-Size="10pt">
                <TitleTextStyle BackColor="#6B696B" Font-Bold="True" ForeColor="#FFFFFF" />
            </asp:ChangePassword>
        </LoggedInTemplate>
        <AnonymousTemplate>
            <div style="position: relative; top: 0px; left: 0px; background-color: #BFD7F0;">
                <div style="position: relative; top: 0px; left: 0px; z-index: 101;">
                    <table border="0" style="margin-top: 0px; background-color: transparent;">
                        <tr>
                            <td style="text-align: left; padding: 12px;" width="25%" align="left">
                                <p>
                                Please register an account and/or login to access the client download page. Your
                                account will also be used to login to the shared cmdlet designer repository from
                                within the rich WPF designer application. Once logged in, you will able to download
                                and install the application using ClickOnce technology.
                                </p>
                                <p>                                
                                <b>Password Complexity is 7 chars: At least 5 alphanumeric, 1 numeric & 1 symbol.</b>
                                </p>                                                                
                            </td>
                            <td class="" align="center" valign="middle" rowspan="2" width="75%">
                                <table>
                                    <tr>
                                        <td align="left">
                                            <asp:Login ID="Login1" runat="server" DestinationPageUrl="~/default.aspx">
                                                <TextBoxStyle Width="140px" />
                                            </asp:Login>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:CreateUserWizard ID="CreateUserWizard1" runat="server" >
                                    <TitleTextStyle BackColor="#576E87" ForeColor="#BFD7F0" />
                                    <TextBoxStyle Width="140px" />
                                    <WizardSteps>
                                        <asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server">
                                        </asp:CreateUserWizardStep>
                                        <asp:CompleteWizardStep ID="CompleteWizardStep1" runat="server">
                                        </asp:CompleteWizardStep>
                                    </WizardSteps>
                                </asp:CreateUserWizard>
                            </td>
                        </tr>
                    </table>
                </div>
                <div style="position: absolute; top: 0px; left: 0px; height: 100%; z-index: 100;
                    overflow: hidden; clip: auto">
                    <pre style="font-size: large; color: #a6c8c8; position: relative; top:0px; left: 300px;overflow:hidden;clip:auto">
    public abstract class PscxPathCommandBase : PscxCmdlet
    {
        protected const string ParameterSetPath = "Path";
        protected const string ParameterSetLiteralPath = "LiteralPath";

        // protected (derived classes may replace Path and LiteralPath)
        protected PscxPathInfo[] _paths;
        private PscxPathInfo[] _literalPaths;

        [Parameter(
            ParameterSetName = ParameterSetPath,
            Position = 0, 
            Mandatory = true, 
            ValueFromPipeline = true, 
            ValueFromPipelineByPropertyName = true,
            HelpMessage = "Specifies the path to the file to process. Wildcard syntax is allowed."
        )]
        [AcceptsWildcards(true)]
        [PscxPath]
        public virtual PscxPathInfo[] Path
        {
            get { return _paths; }
            set { _paths = value; }
        }

        [Parameter(
            ParameterSetName = ParameterSetLiteralPath,
            Position = 0, 
            Mandatory = true, 
            ValueFromPipeline = false, 
            ValueFromPipelineByPropertyName = true,
            HelpMessage = "Specifies a path to the item. The value of -LiteralPath is used exactly as it is typed. No characters are interpreted as wildcards. If the path includes escape characters, enclose it in single quotation marks. Single quotation marks tell Windows PowerShell not to interpret any characters as escape sequences."
        )]
        [Alias("PSPath")]
        [PscxPath(IsLiteral = true)]
        public virtual PscxPathInfo[] LiteralPath
        {
            get { return _literalPaths; }
            set { _literalPaths = value; }
        }

        protected virtual void OnValidateLiteralPath(IPscxPathSettings settings)
        {            
        }

        protected virtual void OnValidatePath(IPscxPathSettings settings)
        {            
        }
    </pre>
                </div>
            </div>
        </AnonymousTemplate>
    </asp:LoginView>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="head">
    <style type="text/css">
        .style1
        {
            width: 16px;
            height: 16px;
        }
    </style>
</asp:Content>
