using System;
using System.Data.SqlClient;

/// <summary>
/// A class that represents a Verb
/// </summary>
public class PsSpecVerb : IPsSpecDataReader
{
    public PsSpecVerb() { }

    public void Initialize(SqlDataReader reader, System.Collections.Generic.Dictionary<string, Int32> columnMappings)
    {
        this.type = reader[columnMappings["Type"]] as string;
        this.name = reader[columnMappings["Name"]] as string;
        this.definition = reader[columnMappings["Definition"]] as string;
        this.comments = reader[columnMappings["Comments"]] as string;
        this.obsoletes = reader[columnMappings["Obsoletes"]] as string;
        this.pair = reader[columnMappings["Pair"]] as string;
    }

    public string Type
    {
        get { return type; }
        set { type = value; }
    }
    private string type;

    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    private string name;

    public string Definition
    {
        get { return definition; }
        set { definition = value; }
    }
    private string definition;

    public string Comments
    {
        get { return comments; }
        set { comments = value; }
    }
    private string comments;

    public string Obsoletes
    {
        get { return obsoletes; }
        set { obsoletes = value; }
    }
    private string obsoletes;

    public string Pair
    {
        get { return pair; }
        set { pair = value; }
    }
    private string pair;
}
