using System;

namespace Microsoft.PowerShell.CmdletManagement
{
    /// <summary>
    /// A class that represents a Cmdlet Parameter Group Entry
    /// </summary>
    public class PsSpecCmdletParameterGroupEntry
    {
        public PsSpecCmdletParameterGroupEntry() { }

        public PsSpecCmdletParameterGroupEntry(int count, string parameterName, string type, string description)
        {
            this.count = count;
            this.parameterName = parameterName;
            this.type = type;
            this.description = description;
        }

        public int Count
        {
            get { return count; }
            set { count = value; }
        }
        private int count = 0;

        public string ParameterName
        {
            get { return parameterName; }
            set { parameterName = value; }
        }
        private string parameterName = null;

        public string Type
        {
            get { return type; }
            set { type = value; }
        }
        private string type = null;

        public string Description
        {
            get { return description; }
            set { description = value; }
        }
        private string description = null;
   }
}