using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.PowerShell.CmdletManagement
{
    /// <summary>
    /// A class that represents a user's role in a project
    /// </summary>
    public class PsSpecUserPermission
    {
        public PsSpecUserPermission() { }

        public PsSpecUserPermission(int id, string project, string user, string role)
        {
            this.id = id;
            this.project = project;
            this.user = user;
            this.role = (PsSpecProjectRole)Enum.Parse(typeof(PsSpecProjectRole), role);
        }

        public int Id
        {
            get { return id; }
            set { id = value; }
        }
        private int id;

        public string Project
        {
            get { return project; }
            set { project = value; }
        }
        private string project;

        public string User
        {
            get { return user; }
            set { user = value; }
        }
        private string user;

        public PsSpecProjectRole Role
        {
            get { return role; }
            set { role = value; }
        }
        private PsSpecProjectRole role;
    }
}
