USE [AspenManagement]
GO

DELETE FROM ParameterSetEntry
GO
DELETE FROM ParameterSetEntryHistory
GO
DELETE FROM PsSpecCmdletParameter
GO
DELETE FROM PsSpecCmdletParameterHistory
GO
DELETE FROM Cmdlet
GO
DELETE FROM CmdletHistory
GO
DELETE FROM Noun
GO
DELETE FROM NounHistory
GO
DELETE FROM Verb
GO
DELETE FROM VerbHistory
GO
DELETE FROM PsSpecUserPermission
GO
DELETE FROM PsSpecUserPermissionHistory
GO
DELETE FROM Project
GO
DELETE FROM ProjectHistory
GO

ALTER TABLE [dbo].[ParameterSetEntry] DROP CONSTRAINT [FK_ParameterSetEntry_Parameter]
GO
DROP TABLE [dbo].[ParameterSetEntry]
GO
DROP TABLE [dbo].[ParameterSetEntryHistory]
GO

DROP TABLE [dbo].[PsSpecCmdletParameter]
GO
DROP TABLE [dbo].[PsSpecCmdletParameterHistory]
GO

ALTER TABLE [dbo].[Cmdlet] DROP CONSTRAINT [FK_Cmdlet_Noun]
GO
ALTER TABLE [dbo].[Cmdlet] DROP CONSTRAINT [FK_Cmdlet_Project]
GO
ALTER TABLE [dbo].[Cmdlet] DROP CONSTRAINT [FK_Cmdlet_Verb]
GO
DROP TABLE [dbo].[Cmdlet]
GO
DROP TABLE [dbo].[CmdletHistory]
GO

DROP TABLE [dbo].[Noun]
GO
DROP TABLE [dbo].[NounHistory]
GO

DROP TABLE [dbo].[Verb]
GO

DROP TABLE [dbo].[PsSpecUserPermission]
GO
DROP TABLE [dbo].[PsSpecUserPermissionHistory]
GO

DROP TABLE [dbo].[Project]
GO
DROP TABLE [dbo].[ProjectHistory]
GO

DROP PROCEDURE [dbo].[GetCmdlet]
GO
DROP PROCEDURE [dbo].[GetNoun]
GO
DROP PROCEDURE [dbo].[GetParameter]
GO
DROP PROCEDURE [dbo].[GetProject]
GO
DROP PROCEDURE [dbo].[GetProjectUser]
GO
DROP PROCEDURE [dbo].[GetTopParameters]
GO
DROP PROCEDURE [dbo].[GetVerb]
GO
DROP PROCEDURE [dbo].[NewCmdlet]
GO
DROP PROCEDURE [dbo].[NewNoun]
GO
DROP PROCEDURE [dbo].[NewParameter]
GO
DROP PROCEDURE [dbo].[NewProject]
GO
DROP PROCEDURE [dbo].[NewProjectUser]
GO
DROP PROCEDURE [dbo].[RemoveCmdlet]
GO
DROP PROCEDURE [dbo].[RemoveNoun]
GO
DROP PROCEDURE [dbo].[RemoveParameter]
GO
DROP PROCEDURE [dbo].[RemoveProject]
GO
DROP PROCEDURE [dbo].[RemoveProjectUser]
GO
DROP PROCEDURE [dbo].[UpdateNoun]
GO
DROP PROCEDURE [dbo].[UpdateCmdlet]
GO
DROP PROCEDURE [dbo].[UpdateParameter]
GO
DROP PROCEDURE [dbo].[UpdateParameterSetEntry]
GO
DROP PROCEDURE [dbo].[UpdateProject]
GO
DROP PROCEDURE [dbo].[GetParameterSetEntry]
GO
DROP PROCEDURE [dbo].[NewParameterSetEntry]
GO
DROP PROCEDURE [dbo].[RemoveParameterSetEntry]
GO
DROP PROCEDURE [dbo].[UpdateHelpExample]
GO
