﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using Microsoft.PowerShell.CmdletManagement;

namespace Microsoft.PowerShell.CmdletManagement
{
    public partial class AddUser : System.Windows.Window
    {
        public AddUser(Window owner)
        {
            this.InitializeComponent();
            this.Owner = owner;
            this.NewUser.UserInput.Focus();          
        }


        public string UserName
        {
            get { return this.NewUser.Value; }
        }

        public String UserRole
        {
            get { return this.NewUserRole.Items.SelectionBoxItem.ToString(); }
        }

        // They've clicked "OK"
        private void Click_Ok(Object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }

        // They've clicked "Cancel"
        private void Click_Cancel(Object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }

    }
}