using System;
using System.Collections;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Microsoft.PowerShell.CmdletManagement
{
    /// <summary>
    /// Interaction logic for HtmlViewWindow.xaml
    /// </summary>

    public partial class HtmlViewWindow : System.Windows.Window
    {
        public HtmlViewWindow(string content, Window owner)
        {
            InitializeComponent();
            
            this.Owner = owner;

            // Clear the spec view content
            SpecViewBrowser.DocumentText = content;
        }

        // They've clicked "Close"
        private void Click_Close(Object sender, RoutedEventArgs e)
        {
            this.Close();
        }
   }
}